Download it now!
Bug 57545 - remove redundant capitalType functions
Summary: remove redundant capitalType functions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Quentin Pradet
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2012-11-26 08:53 UTC by László Németh
Modified: 2016-02-05 11:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2012-11-26 08:53:52 UTC
See http://opengrok.libreoffice.org/search?q=capitalType&project=core. Also using enum would look better for CAPTYPE values.
Comment 1 Quentin Pradet 2012-12-21 10:18:31 UTC
Hello,

I worked on this bug. My commit has been submitted to gerrit: https://gerrit.libreoffice.org/#/c/1460/

I seems to work but I don't really know what to test.
Comment 2 László Németh 2012-12-21 10:37:17 UTC
Test cases:

Type the word ISSUE in Writer, and press F7. There will be uppercase synonyms in the thesaurus window.

Or type the following words in Writer: baz, Baz and BAZ, they will get red underline. Choose Add in the local menu of baz. All words will be recognized by the spell checker.

Many thanks for your patch! László
Comment 3 Quentin Pradet 2012-12-21 10:47:20 UTC
Both tests passed, and as a bonus, I now know how to launch the thesaurus. :-)

Thanks for your work on the linguistic modules and for your quick answer!
Comment 4 László Németh 2012-12-21 14:31:12 UTC
Many thanks, and thank you the test, too! (Sorry my mistake, Ctrl-F7 is the hot key of the thesaurus dialog, not F7). Unfortunately, I wasn't be able to verify it, but I have approved it.
Comment 5 Not Assigned 2012-12-21 15:54:38 UTC
Quentin Pradet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ef5ed9d21de767ce1b4c70d73cf15994b38dcdb

fdo#57545 remove redundant capitalType functions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-16 00:41:34 UTC
Migrating Whiteboard tags to Keywords: (EasyHack, SkillCpp, DifficultyEasy )
[NinjaEdit]
Comment 7 Björn Michaelsen 2016-02-05 11:10:48 UTC
difficultyEasy -> difficultyBeginner. The former never really existed and only makes the EasyHack not appear on the wiki.